//--------------------------------------------------------------
// File     : main.c
// Datum    : 07.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der M24C02 Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_m24c02.h"
#include "stm32_ub_led.h"

int main(void)
{
  ErrorStatus check;
  int16_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_Led_Init(); // Init aller LEDs

  // init vom EEprom an I2C-1 mit Adr. 0xA2
  check=UB_M24C02_Init(M24C02_1);
  if(check==SUCCESS) {
	  UB_Led_On(LED_GREEN);

	  // Wert 0x12 in Adr 0x03 schreiben
	  UB_M24C02_WriteByte(M24C02_1,0x03,0x12);
	  // Wert wieder auslesen
	  wert=UB_M24C02_ReadByte(M24C02_1,0x03);
	  // auswerten ob alles OK
	  if(wert==0x12) {
		  UB_Led_On(LED_BLUE);
	  }
	  else {
		  UB_Led_On(LED_ORANGE);
	  }
  }
  else {
	  UB_Led_On(LED_RED);
  }

  while(1)
  {

  }
}

