//--------------------------------------------------------------
// File     : stm32_ub_m24c02.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_M24C02_H
#define __STM32F4_UB_M24C02_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"


//--------------------------------------------------------------
// Slave Adressen vom M24C02
//--------------------------------------------------------------
typedef enum {
  M24C02_0 = 0xA0, // A2=0, A1=0, A0=0
  M24C02_1 = 0xA2, // A2=0, A1=0, A0=1
  M24C02_2 = 0xA4, // A2=0, A1=1, A0=0
  M24C02_3 = 0xA6, // A2=0, A1=1, A0=1
  M24C02_4 = 0xA8, // A2=1, A1=0, A0=0
  M24C02_5 = 0xAA, // A2=1, A1=0, A0=1
  M24C02_6 = 0xAC, // A2=1, A1=1, A0=0
  M24C02_7 = 0xAE  // A2=1, A1=1, A0=1
}I2C_ADR_M24C02_t;


//--------------------------------------------------------------
// Defines
//--------------------------------------------------------------
#define  UB_M24C02_RD_DELAY     100  // Pause nach dem lesen
#define  UB_M24C02_WR_DELAY  500000  // Pause nach dem schreiben (>=200000)


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_M24C02_Init(I2C_ADR_M24C02_t slave);
int16_t UB_M24C02_ReadByte(I2C_ADR_M24C02_t slave, uint8_t adr);
int16_t UB_M24C02_WriteByte(I2C_ADR_M24C02_t slave, uint8_t adr, uint8_t wert);




//--------------------------------------------------------------
#endif // __STM32F4_UB_M24C02_H
